<ion-grid class="p-0 mb-10">
    <ion-row
        [ngClass]="{
            'has-border-grey': isReadonly || (!f[name].value && !error),
            'has-border-danger': error,
            'has-border-primary': !isReadonly && !hasError && f[name].value,
            'radius-30 border-1 border-solid ion-align-items-center': hasBorder
        }"
    >
        <ion-col size="auto" class="ion-no-padding">
            <ng-content select="[start-icon]"></ng-content>

            <ion-icon
                *ngIf="iconName"
                [name]="iconName"
                class="ion-padding-start pr-10 size-21 mt-5"
                [ngClass]="{
                    'is-gray': !f[name].value && !error,
                    'is-lime-green': f[name].value && !hasError,
                    'is-danger': error,
                    'input__left-icon': !hasBorder
                }"
            >
            </ion-icon>
        </ion-col>
        <ion-col class="radius-30 flex ion-align-items-center ion-no-padding">
            <app-phone-indicator
                *ngIf="inputTypeOptions.tel === inputType"
                [disabled]="isReadonly"
                class="ml-10"
            ></app-phone-indicator>
            <ion-textarea
                *ngIf="inputType === inputTypeOptions.textarea; else inputText"
                ngDefaultControl
                [formControl]="f[name]"
                [readonly]="isReadonly"
                [type]="inputType"
                [rows]="rows"
                [placeholder]="placeholder"
                (ionChange)="keyPress.emit()"
                (ionBlur)="validateField()"
                class="border-0"
            ></ion-textarea>
            <ng-template #inputText>
                <ion-input
                    ngDefaultControl
                    [formControl]="f[name]"
                    [readonly]="isReadonly"
                    [type]="inputType"
                    [placeholder]="placeholder"
                    (ionChange)="keyPress.emit()"
                    (ionBlur)="validateField()"
                    class="border-0 size-12"
                    data-testid="input"
                >
                </ion-input>
            </ng-template>
        </ion-col>

        <ion-col size="auto" class="ion-padding-horizontal" *ngIf="actionName">
            <ion-icon
                [name]="actionName"
                [color]="actionIconColor"
                (click)="onClick()"
                (keyPress)="onClick()"
                [size]="iconSize"
            ></ion-icon>
        </ion-col>
    </ion-row>

    <ion-text
        color="danger"
        *ngIf="error"
        class="block pl-5 mt-4 size-12"
        data-test-id="error"
    >
        {{ error }}
    </ion-text>
</ion-grid>
